trinity-users@lists.pearsoncomputing.net

Message: previous - next
Month: July 2012

Re: [trinity-users] Dependency problem on CentOS 5

From: Francois Andriot <francois.andriot@...>
Date: Wed, 04 Jul 2012 06:52:57 +0200
Le 03/07/2012 17:41, Philippe BOURDEU d'AGUERRE a écrit :
> Today, yum update gives a lot of updates for trinity. But it ends with 
> a libxine dependency trouble:
>
> > ...
>> ---> Package trinity-libarts-xine.x86_64 0:3.5.13-8.el5.opt set to be 
>> updated
>> --> Processing Dependency: libxine.so.1()(64bit) for package: 
>> trinity-libarts-xine
>> --> Processing Dependency: libxine.so.1()(64bit) for package: 
>> trinity-libarts-xine
>> --> Finished Dependency Resolution
>> trinity-libarts-xine-3.5.13-8.el5.opt.x86_64 from trinity-3.5.13-el5 
>> has depsolving problems
>>   --> Missing Dependency: libxine.so.1()(64bit) is needed by package 
>> trinity-libarts-xine-3.5.13-8.el5.opt.x86_64 (trinity-3.5.13-el5)
>> trinity-libarts-xine-3.5.13-8.el5.opt.x86_64 from trinity-3.5.13-el5 
>> has depsolving problems
>>   --> Missing Dependency: libxine.so.1()(64bit) is needed by package 
>> trinity-libarts-xine-3.5.13-8.el5.opt.x86_64 (trinity-3.5.13-el5)
>> Error: Missing Dependency: libxine.so.1()(64bit) is needed by package 
>> trinity-libarts-xine-3.5.13-8.el5.opt.x86_64 (trinity-3.5.13-el5)
>
> I tried to install xine-lib-1.1, but i get same messages despite of 
> file /usr/lib64/libxine.so.1
>
>> ls -l /usr/lib64/libxine.so.*
>> lrwxrwxrwx 1 root root      17 juil.  3 17:28 /usr/lib64/libxine.so.1 
>> -> libxine.so.1.30.1
>> -rwxr-xr-x 1 root root 1326781 janv. 20 23:58 
>> /usr/lib64/libxine.so.1.30.1
>
> Thanks for your help.

Hello,
TDE for EL5 was built with xine-lib 1.1.16 from EPEL:
http://dl.fedoraproject.org/pub/epel/5/x86_64/repoview/xine-lib.html

I've made a copy of it in the "trinity-extra" repository so you should 
not need any 3rd party repository.

$ ls -l /usr/lib64/libxine.so.*
lrwxrwxrwx 1 root root     17 Mar 19 16:01 /usr/lib64/libxine.so.1 -> 
libxine.so.1.26.0
-rwxr-xr-x 1 root root 336216 Apr 30  2009 /usr/lib64/libxine.so.1.26.0

Can you try with this version ?
(anyway I think that any version should work ...)

Francois